Bug 1219 - IPFW kernel code enhancements
Summary: IPFW kernel code enhancements
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 2.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: alex
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1996-05-19 23:30 UTC by Alex Nash
Modified: 1996-06-10 00:49 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.57 KB, patch)
1996-05-19 23:30 UTC, Alex Nash
no flags Details | Diff
file.diff (2.71 KB, patch)
1996-05-19 23:30 UTC, Alex Nash
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Nash 1996-05-19 23:30:03 UTC
  ip_fw.h

    - Corrected a spelling error.

    - Added an ICMP type bitmap and timestamp field.

    - Added a new flag, IP_FW_F_ICMPBIT.  When this flag is set,
      it indicates that the ICMP type bitmap (fw_icmptypes) is valid.

  ip_fw.c

    - Timestamp chain entry when updating packet/byte counters.

    - Display ICMP code along with type when logging.

    - Filter based on ICMP type.

    - Removed (#if 0'ed) comment about ICMP firewall not being
      supported.

Fix: NOTE:
  1. The version numbers shown in the diffs do *not* correspond
     to version numbers in the FreeBSD CVS tree.

  2. All diffs are applied after the changes made in kern/1192.

Complete sources for kernel and user-level code are available at:

    ftp://ftp.fa.tdktca.com/pub/FreeBSD/ipfw
    MD5 (ipfw.tar.gz) = f54888e0aa91745f8bb27f35c104e62e



*** ip_fw.h	1996/05/18 15:36:39	1.1
--- ip_fw.h	1996/05/19 18:30:20	1.3
***************
*** ip_fw.c	1996/05/18 15:36:39	1.1
--- ip_fw.c	1996/05/19 18:31:09	1.3
***************
How-To-Repeat: 
N/A
Comment 1 alex freebsd_committer 1996-05-30 00:38:04 UTC
Responsible Changed
From-To: freebsd-bugs->alex

I now have a chance to fix the things I complained about :) 
Comment 2 alex freebsd_committer 1996-06-10 00:49:13 UTC
State Changed
From-To: open->closed

Changes entered into -current under the following versions: 

src/sbin/ipfw.c:         1.25 
src/sys/netinet/ip_fw.c: 1.37 
src/sys/netinet/ip_fw.h: 1.20